﻿var instantPhotoApp = instantPhotoApp || {};
instantPhotoApp.customFolder = null;

instantPhotoApp.init = function () {
    document.getElementById("buttonShoot").addEventListener("click", instantPhotoApp.takePicture, false);

    var picturesFolder = Windows.Storage.KnownFolders.picturesLibrary;
    picturesFolder.createFolderAsync("Instant Photo", Windows.Storage.CreationCollisionOption.openIfExists)
                  .then(function (folder) {
                      instantPhotoApp.customFolder = folder;
                  });
};

instantPhotoApp.takePicture = function () {
    try {
        var dialog = new Windows.Media.Capture.CameraCaptureUI();
        var aspectRatio = { width: 16, height: 9 };
        dialog.photoSettings.croppedAspectRatio = aspectRatio;
        dialog.photoSettings.format = Windows.Media.Capture.CameraCaptureUIPhotoFormat.jpeg;
        dialog.captureFileAsync(Windows.Media.Capture.CameraCaptureUIMode.photo).then(function (file) {
            if (file) {
                var viewer = document.getElementById("imgPhoto");
                viewer.src = URL.createObjectURL(file);

                var picFolder = instantPhotoApp.customFolder;  
                file.copyAsync(picFolder);
            } else {
                // No photo captured
            }
        }, function (err) {
            //displayError(err);
        });
    } catch (err) {
        //displayError(err);
    }
}
