﻿(function () {
    "use strict";

    var page = WinJS.UI.Pages.define("/pages/settings.html", {
        ready: function (element, options) {
            loadSettings();
            document.getElementById("settingsContainer").winControl.addEventListener("beforeshow", beforeShow);
            document.getElementById("settingsContainer").winControl.addEventListener("afterhide", afterHide);
        }
    });
    
    function beforeShow() {
        loadSettings();
    };

    function afterHide() {
        saveSettings();
    };

    function loadSettings() {
        var bindableElement = document.getElementById("settingsContainer");
        WinJS.Binding.processAll(bindableElement, TodoList.settings);
    };

    function saveSettings() {
        var priorityElem = document.getElementById("taskPriority_settings");
        var currentPriority = priorityElem.value;
        TodoList.settings.defaultPriority = currentPriority;
        TodoList.settings.save();
    };
})();